/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#pragma once

#include "OE_fstream.h"
#include "OE_utils.h"

namespace Pakal { class Archive; }

class OE_thread
{
	public:
		OE_thread();
		~OE_thread();

		OE_thread(OE_color color, float width);
		//OE_thread(unsigned char r, unsigned char g, unsigned char b, float width);

		void persist(Pakal::Archive* archive);

		OE_color getColor();
		void  setColor(OE_color color);
		void  setWidth(float width);
		float getWidth();

		static float defaultWidth;
		static OE_color defaultColor;

	protected:
		float width;
		OE_color color;
};

